io.vertx.reactivex.cassandra

## Class ResultSet

- java.lang.Object
- - io.vertx.reactivex.cassandra.ResultSet

-     public class ResultSet
      extends Object

  It is like `ResultSet`, but adapted for Vert.x.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSet(ResultSet delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSet` | `all(Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)`
    `boolean` | `equals(Object o)`
    `ResultSet` | `fetchMoreResults(Handler<AsyncResult<Void>> handler)`
    `int` | `getAvailableWithoutFetching()`
    `com.datastax.driver.core.ColumnDefinitions` | `getColumnDefinitions()`
    `ResultSet` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isExhausted()`
    `boolean` | `isFullyFetched()`
    `static ResultSet` | `newInstance(ResultSet arg)`
    `ResultSet` | `one(Handler<AsyncResult<com.datastax.driver.core.Row>> handler)`
    `Single<List<com.datastax.driver.core.Row>>` | `rxAll()`
    `Completable` | `rxFetchMoreResults()`
    `Maybe<com.datastax.driver.core.Row>` | `rxOne()`
    `String` | `toString()`
    `boolean` | `wasApplied()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### ResultSet

          public ResultSet(ResultSet delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResultSet getDelegate()

    - #### isExhausted

          public boolean isExhausted()

      Returns:

    - #### isFullyFetched

          public boolean isFullyFetched()

      Returns:

    - #### getAvailableWithoutFetching

          public int getAvailableWithoutFetching()

      Returns:

    - #### fetchMoreResults

          public ResultSet fetchMoreResults(Handler<AsyncResult<Void>> handler)

      Parameters:
        `handler` - handler called when result is fetched
      Returns:

    - #### rxFetchMoreResults

          public Completable rxFetchMoreResults()

      Returns:

    - #### wasApplied

          public boolean wasApplied()

      Returns:

    - #### one

          public ResultSet one(Handler<AsyncResult<com.datastax.driver.core.Row>> handler)

      Parameters:
        `handler` - handler called when one row is fetched
      Returns:

    - #### rxOne

          public Maybe<com.datastax.driver.core.Row> rxOne()

      Returns:

    - #### all

          public ResultSet all(Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)

      Parameters:
        `handler` - handler called when all the rows is fetched
      Returns:

    - #### rxAll

          public Single<List<com.datastax.driver.core.Row>> rxAll()

      Returns:

    - #### getColumnDefinitions

          public com.datastax.driver.core.ColumnDefinitions getColumnDefinitions()

      Returns:

    - #### newInstance

          public static ResultSet newInstance(ResultSet arg)

Copyright © 2018 Eclipse. All rights reserved.